From 9ed1410e08cd91275614cce9e9a415e6f80b7f2d Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 28 2024 01:14:32 +0000
Subject: [PATCH 86/220] Update cosmic-greeter.spec


---

diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 59d1a5b..e430a43 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -57,7 +57,8 @@ cargo build --release --all --offline --frozen
 %{cargo_vendor_manifest}
 
 %install
-%cargo_install
+install -Dm0755 target/release/cosmic-greeter %{_bindir}/cosmic-greeter
+install -Dm0755 target/release/cosmic-greeter-daemon %{_bindir}/cosmic-greeter-daemon
 install -Dm0644 dbus/com.system76.CosmicGreeter.conf %{buildroot}/%{_datadir}/dbus-1/system.d/com.system76.CosmicGreeter.conf
 install -Dm0644 debian/cosmic-greeter.sysusers %{buildroot}/%{_sysusersdir}/cosmic-greeter.conf
 install -Dm0644 debian/cosmic-greeter.tmpfiles %{buildroot}/%{_tmpfilesdir}/cosmic-greeter.conf

